package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;

/**
 * 海康 业务
 * @author weiximei
 */
public interface IHKService {

    /**
     * 推送海康人员
     * @param appUserId
     * @return
     */
    ResponseBean pushPerson(String appUserId, Integer userVerifyId);

    /**
     * 下发门禁权限
     * @return
     */
    ResponseBean downloadAuthorityByDeviceUuids();

    /**
     * 异步反控开门 (远程开门)
     *
     * @param userVerifyId 审核ID
     * @return
     */
    ResponseBean syncControl(Integer userVerifyId);

}
